Subject: Re: Cc'ing the Git maintainer on GitGitGadget contributions, was Re: [PATCH 0/1] add--interactive: skip index refresh in reset patch mode

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 07 Jan 2021 15:57:54 +0100

On Thu, Jan 07 2021, Johannes Schindelin wrote:

> Hi Junio,
>
> On Tue, 26 Nov 2019, Junio C Hamano wrote:
>
>> Johannes Schindelin <[email-masked]> writes:
>>
>> >> > Hmph, I wonder why this was sent my way.  How does GGG determine
>> >> > whom to send patches to?  I, like other reviewers, prefer not to see
>> >> > earlier rounds of patches sent directly to me unless they are about
>> >> > areas that I am mostly responsible for (other patches I'll see them
>> >> > and review them on the copies sent to the mailing list anyway).
>> >
>> > Oops, I forgot to address this. The reason why this is sent your way is
>> > that you are the Git maintainer, and as such, GitGitGadget sends _all_ Git
>> > patches your way (except the Git GUI ones).
>> >
>> > The reason for this is that this is the suggested way, as per
>> > https://git-scm.com/docs/SubmittingPatches#patch-flow:
>> >
>> >> 5. The list forms consensus that the last round of your patch is good. Send
>> >>    it to the maintainer and cc the list.
>>
>> Yeah, but as far as I can tell, this is the _first_ round the list
>> sees this topic, which by definition would not have any consensus
>> ;-)
>
> I thought about it for over a year and still have no clue how we could
> teach GitGitGadget to Cc: you when it is appropriate, not without putting
> the burden on any human being.

That message is from November 2019, didn't you later fix this in January
2020 here: https://github.com/gitgitgadget/gitgitgadget/commit/b2221f4 ?

I.e. now users need to explicitly add "cc: [email-masked]" to the
description, no? So isn't in the same as for us who use the
format-patch/send-email flow in this regard?